--- a/arch/arm64/boot/dts/mediatek/mt7622-bananapi-bpi-r64.dts
+++ b/arch/arm64/boot/dts/mediatek/mt7622-bananapi-bpi-r64.dts
@@ -19,6 +19,10 @@
 	aliases {
 		serial0 = &uart0;
 		ethernet0 = &gmac0;
+		led-boot = &led_system_green;
+		led-failsafe = &led_system_blue;
+		led-running = &led_system_green;
+		led-upgrade = &led_system_blue;
 	};
 
 	chosen {
@@ -42,8 +46,8 @@
 		compatible = "gpio-keys";
 
 		factory {
-			label = "factory";
-			linux,code = <BTN_0>;
+			label = "reset";
+			linux,code = <KEY_RESTART>;
 			gpios = <&pio 0 GPIO_ACTIVE_HIGH>;
 		};
 
@@ -57,17 +61,25 @@
 	leds {
 		compatible = "gpio-leds";
 
-		green {
-			label = "bpi-r64:pio:green";
-			gpios = <&pio 89 GPIO_ACTIVE_HIGH>;
+		led_system_blue: blue {
+			label = "bpi-r64:pio:blue";
+			gpios = <&pio 85 GPIO_ACTIVE_HIGH>;
 			default-state = "off";
 		};
 
-		red {
-			label = "bpi-r64:pio:red";
-			gpios = <&pio 88 GPIO_ACTIVE_HIGH>;
+		led_system_green: green {
+			label = "bpi-r64:pio:green";
+			gpios = <&pio 89 GPIO_ACTIVE_HIGH>;
 			default-state = "off";
 		};
+
+/*
+ *		red {
+ *			label = "bpi-r64:pio:red";
+ *			gpios = <&pio 88 GPIO_ACTIVE_HIGH>;
+ *			default-state = "off";
+ *		};
+ */
 	};
 
 	memory@40000000 {
